# All Classes and Interfaces

Class
Description
AbstractExtender
Base class to write bundle extenders.
Attribute
BaseManagedServiceFactory<T>
Clause
DictionaryAsMap<U,V>
A wrapper around a dictionary access it as a Map
Directive
Extension
A simple interface used by the extender to manage extensions.
FilterImpl
This filter implementation is based on the official OSGi filter with additional support for the SUPERSET (>*) and SUBSET (<*) operators.
InterpolationHelper
Enhancement of the standard `Properties` managing the maintain of comments, etc.
InterpolationHelper.SubstitutionCallback
Callback for substitution
IteratorToEnumeration
Logger
Internal logger to be used in order to avoid a mandatory dependency on OSGi LogService.
MapToDictionary
This is a simple class that implements a `Dictionary` from a `Map`.
Parser
Properties
Enhancement of the standard `Properties` managing the maintain of comments, etc.
Properties.Layout
TODO
Properties.PropertiesReader
This class is used to read properties lines.
Properties.PropertiesWriter
This class is used to write properties lines.
SimpleExtension
VersionCleaner
VersionRange
VersionTable
Cache of Versions backed by a WeakHashMap to conserve memory.